package cn.sagacloud.server.scheduler.service

import com.alibaba.fastjson.JSON
import org.apache.activemq.command.ActiveMQTopic
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.jms.core.JmsMessagingTemplate
import org.springframework.stereotype.Service
import javax.jms.Destination


@Service
class JMSProducer {

    @Autowired // 也可以注入JmsTemplate，JmsMessagingTemplate对JmsTemplate进行了封装
    lateinit var jmsTemplate: JmsMessagingTemplate

    val destinationTest = ActiveMQTopic("mytest.topic")
    val destination = ActiveMQTopic("scheduler.speed")

    fun sendMessage(message: String?) {
        jmsTemplate.convertAndSend(destination, message?:"")
    }

//    fun sendMessage(message: JSON) {
//        jmsTemplate.convertAndSend(destination, message.toJSONString())
//    }



}